## libdessert0.87 0.87.2

=== Makefile ===
SHLIB_VERSION = 0.87.2
SHLIB_COMPAT_VERSION = 0.87

MODULES=dessert_core.o dessert_log.o dessert_sysiface.o dessert_meshiface.o dessert_msg.o dessert_cli.o dessert_periodic.o dessert_agentx.o

UNAME = $(shell uname | tr 'a-z' 'A-Z')
TARFILES = *.c *.h Makefile Intro.txt DES-SERT.doxyfile AUTHORS DESSERT-MIB.txt

PREFIX ?= $(DESTDIR)/usr
DIR_LIB=$(PREFIX)/lib
DIR_INCLUDE=$(PREFIX)/include
DIR_SHARE=$(PREFIX)/share
DIR_MIBS=$(DIR_SHARE)/mibs

ifeq ($(UNAME),LINUX)
	LIBS = pthread pcap cli
	CFLAGS += -ggdb -Wall -fPIC -DTARGET_$(UNAME) -D_GNU_SOURCE -DSHLIB_VERSION=\"$(SHLIB_VERSION)\"
	LDFLAGS += -dy -static-libgcc $(addprefix -l,$(LIBS))
	SHLIB = libdessert.so.$(SHLIB_VERSION)
	SHLIB_COMPAT = libdessert.so.$(SHLIB_COMPAT_VERSION)
	SHLIB_DEFAULT = libdessert.so
	SHLIB_LDFLAGS = -shared -Wl,-soname,$(SHLIB_COMPAT) -o $(SHLIB)
else ifeq ($(UNAME),DARWIN)
	LIBS = pthread pcap cli
	CFLAGS += -ggdb -Wall -fPIC -DTARGET_$(UNAME) -DTARGET_BSD -DSHLIB_VERSION=\"$(SHLIB_VERSION)\"
	LDFLAGS += $(addprefix -l,$(LIBS))
	SHLIB = libdessert.$(SHLIB_VERSION).dylib
	SHLIB_COMPAT = libdessert.$(SHLIB_COMPAT_VERSION).dylib
	SHLIB_DEFAULT = libdessert.dylib
	SHLIB_LDFLAGS = -dynamiclib -compatibility_version $(SHLIB_COMPAT_VERSION) -current_version $(SHLIB_VERSION) -o $(SHLIB)
else ifeq ($(UNAME),FREEBSD)
	LIBS = pcap cli
	CFLAGS += -ggdb -Wall  -fPIC -DTARGET_$(UNAME) -DTARGET_BSD -DSHLIB_VERSION=\"$(SHLIB_VERSION)\" -pthread -I/usr/local/include -I/usr/include
	LDFLAGS += -dy -L/usr/local/lib -L/usr/lib $(addprefix -l,$(LIBS))
	SHLIB = libdessert.so.$(SHLIB_VERSION)
	SHLIB_COMPAT = libdessert.so.$(SHLIB_COMPAT_VERSION)
	SHLIB_DEFAULT = libdessert.so
	SHLIB_LDFLAGS = -shared -Wl,-soname,$(SHLIB_COMPAT) -o $(SHLIB)
endif

## >>> SNMP ##
NETSNMPCONFIG=net-snmp-config

STRICT_FLAGS = -Wstrict-prototypes
NETSNMPCFLAGS := $(shell $(NETSNMPCONFIG) --base-cflags) $(STRICT_FLAGS)
NETSNMPLIBS := $(shell $(NETSNMPCONFIG) --agent-libs)

SNMPMODULES = snmp/dessertObjects                    \
              snmp/dessertMeshifTable                \
              snmp/dessertMeshifTable_data_get       \
              snmp/dessertMeshifTable_data_set       \
              snmp/dessertMeshifTable_data_access    \
              snmp/dessertMeshifTable_interface      \
              snmp/dessertSysifTable                 \
              snmp/dessertSysifTable_data_get        \
              snmp/dessertSysifTable_data_set        \
              snmp/dessertSysifTable_data_access     \
              snmp/dessertSysifTable_interface       \
              snmp/dessertAppStatsTable              \
              snmp/dessertAppStatsTable_data_get     \
              snmp/dessertAppStatsTable_data_set     \
              snmp/dessertAppStatsTable_data_access  \
              snmp/dessertAppStatsTable_interface    \
              snmp/dessertAppParamsTable             \
              snmp/dessertAppParamsTable_data_get    \
              snmp/dessertAppParamsTable_data_set    \
              snmp/dessertAppParamsTable_data_access \
              snmp/dessertAppParamsTable_interface 

CFLAGS += $(NETSNMPCFLAGS)
LDFLAGS += $(NETSNMPLIBS)
MODULES += $(addsuffix .o,$(SNMPMODULES))
SNMPTARFILES = snmp/*.c snmp/*.h snmp/*.txt
## <<< SNMP ##

DOXYGEN = /usr/bin/doxygen
DOXYFILE = DES-SERT.doxyfile
DOXYGENTARFILES = doxygen/html/*


CFLAGS +=
LDFLAGS +=

all: libdessert.a $(SHLIB)

clean:
	rm -r *.o *.a *.so *.so.* *.dylib *.tar.gz ||  true
	rm snmp/*.o || true
	rm test/*.o || true
	rm test-periodic_add || true
	rm test-periodic_add-delete-modify-add || true
	rm test-periodic_wladimir || true
	rm test-meshif-iterator || true
	rm test-agentx-appstats || true
	rm test-agentx-appparams || true
	rm test-agentx || true
#	rm -rf doxygen || true
	rm Manual.pdf || true

install:
	echo "ECHO:: $(DIR_LIB) $(SHLIB)"
	install -d $(DIR_LIB) $(DIR_INCLUDE)
	install -m755 $(SHLIB) $(DIR_LIB)
	(cd $(DIR_LIB) ; ln -fs $(SHLIB) $(SHLIB_COMPAT))
	(cd $(DIR_LIB) ; ln -fs $(SHLIB) $(SHLIB_DEFAULT))
	install -m644 dessert.h $(DIR_INCLUDE)
	install -d $(DIR_SHARE) $(DIR_MIBS)
	install -m644 DESSERT-MIB.txt $(DIR_MIBS)
	

libdessert.a: $(MODULES) 
	$(AR) -r libdessert.a $(MODULES)
	ranlib libdessert.a

$(SHLIB): $(MODULES) 
	$(CC) $(CFLAGS) $(LDFLAGS) $(SHLIB_LDFLAGS) $(MODULES)
	ln -fs $(SHLIB) $(SHLIB_COMPAT)
	ln -fs $(SHLIB) $(SHLIB_DEFAULT)

tarball: clean doxygen
	mkdir libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)
	cp -R $(TARFILES) libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)
	mkdir libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)/snmp
	cp -R $(SNMPTARFILES) libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)/snmp
	mkdir libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)/doxygen
	mkdir libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)/doxygen/html
	cp -R $(DOXYGENTARFILES) libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)/doxygen/html
	gzip -9 -c changelog > libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)/changelog.gz
	tar -czf libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION).tar.gz libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)
	rm -rf libdessert$(SHLIB_COMPAT_VERSION)-$(SHLIB_VERSION)
	
doxygen: 
	(cat $(DOXYFILE); echo "PROJECT_NUMBER=$(SHLIB_VERSION)") | $(DOXYGEN) -
	
manual: doxygen
	cd doxygen/latex; $(MAKE) pdf
	cp doxygen/latex/refman.pdf Manual.pdf 	
	
test-periodic_add: test/test-periodic_add.o $(MODULES)
	$(CC)  -ggdb -Wall -DTARGET_$(UNAME) -D_GNU_SOURCE   $(NETSNMPCFLAGS) $(LDFLAGS)  -o test-periodic_add test/test-periodic_add.o $(MODULES)

test-periodic_add-delete-modify-add: test/test-periodic_add-delete-modify-add.o $(MODULES)
	$(CC)  -ggdb -Wall -DTARGET_$(UNAME) -D_GNU_SOURCE   $(NETSNMPCFLAGS) $(LDFLAGS)  -o test-periodic_add-delete-modify-add test/test-periodic_add-delete-modify-add.o $(MODULES)

test-periodic_wladimir: test/test-periodic_wladimir.o $(MODULES)
	$(CC)  -ggdb -Wall -DTARGET_$(UNAME) -D_GNU_SOURCE   $(NETSNMPCFLAGS) $(LDFLAGS)  -o test-periodic_wladimir test/test-periodic_wladimir.o $(MODULES)


test-agentx-appparams: test/test-agentx-appparams.o $(MODULES)
	$(CC)  -ggdb -Wall -DTARGET_$(UNAME) -D_GNU_SOURCE   $(NETSNMPCFLAGS) $(LDFLAGS)  -o test-agentx-appparams test/test-agentx-appparams.o $(MODULES)

test-agentx-appstats: test/test-agentx-appstats.o $(MODULES)
	$(CC)  -ggdb -Wall -DTARGET_$(UNAME) -D_GNU_SOURCE   $(NETSNMPCFLAGS) $(LDFLAGS)  -o test-agentx-appstats test/test-agentx-appstats.o $(MODULES)

test-meshif-iterator: test/test-meshif-iterator.o $(MODULES)
	$(CC)  -ggdb -Wall -DTARGET_$(UNAME) -D_GNU_SOURCE   $(NETSNMPCFLAGS) $(LDFLAGS)  -o test-meshif-iterator test/test-meshif-iterator.o $(MODULES)	

test-cli_getcfg: test/test-cli_getcfg.o $(MODULES)
	$(CC)  -ggdb -Wall -DTARGET_$(UNAME) -D_GNU_SOURCE   $(NETSNMPCFLAGS) $(LDFLAGS)  -o test-cli_getcfg test/test-cli_getcfg.o $(MODULES)

=== debian/changelog ===
libdessert0.87 (0.87.2-1build1) saucy; urgency=low

  * Rebuild for libsnmp30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:25:52 +0100

libdessert0.87 (0.87.2-1) unstable; urgency=low

  * New upstream release
    Upstream now provides the DESSERT-MIB.txt to be installed in
    /usr/share/mibs
  * Adjusted libdessert0.87.install to reflect that fact

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Sat, 30 Jan 2010 12:47:46 +0100

libdessert0.87 (0.87.1-3) unstable; urgency=low

  * Edited the watch file.

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Sun, 17 Jan 2010 14:41:11 +0100

libdessert0.87 (0.87.1-2) unstable; urgency=low

  * debian/control: changed depends to uthash-dev to reflect the change
    in the package name 

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Thu, 14 Jan 2010 17:47:04 +0100

libdessert0.87 (0.87.1-1) unstable; urgency=low

  * New upstream release 

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Wed, 13 Jan 2010 16:00:30 +0100

libdessert0.87 (0.87.0-2) unstable; urgency=low

  * Make use of dh_makeshlibs
  * Fixed some issues in debian/control brought to attention by lintian 

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Wed, 13 Jan 2010 13:03:58 +0100

libdessert0.87 (0.87.0-1) unstable; urgency=low

  * Initial release. (Closes: #563922: ITP: libdessert -- Framework for
    the implementation of proactive, reactive, and hybrid routing
    protocols)

 -- David Gutzmann <gutzmann@inf.fu-berlin.de>  Thu, 07 Jan 2010 19:07:52 +0100

=== debian/control ===
Source: libdessert0.87
Priority: extra
Maintainer: David Gutzmann <gutzmann@inf.fu-berlin.de>
Build-Depends: debhelper (>= 7), libpcap0.8-dev, libcli-dev, libsnmp-dev, uthash-dev
Standards-Version: 3.8.3
Section: libs
Homepage: http://www.des-testbed.net/DES-SERT

Package: libdessert0.87-dev
Section: libdevel
Architecture: any
Provides: libdessert-dev
Conflicts: libdessert-dev
Replaces: libdessert-dev
Depends: libdessert0.87 (= ${binary:Version}), ${misc:Depends}, libcli-dev, libpcap0.8-dev, uthash-dev
Description: header file and documentation for libdessert0.87
 This packet contains the header file and documentation for the libdessert
 library. 
 .
 DES-SERT is a framework written as ANSI-C library. While generally 
 usable in many application scenarios, it is primarily used in DES-Mesh, 
 the multi-transceiver wireless mesh network testbed part of the 
 DES-Testbed. DES-SERT enables the implementation of routing protocols 
 via an underlay in user space.
 .
 DES-SERT routing daemons utilize libpcap to receive packets from the 
 network resp. to send them. Locally generated packets or packets destined 
 to this host use a TUN or TAP interface as access point to the operating 
 system protocol stack.
 .

Package: libdessert0.87
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: a simple and extensible routing-framework for testbeds
 DES-SERT is a framework written as ANSI-C library. While generally 
 usable in many application scenarios, it is primarily used in DES-Mesh, 
 the multi-transceiver wireless mesh network testbed part of the 
 DES-Testbed. DES-SERT enables the implementation of routing protocols 
 via an underlay in user space.
 .
 DES-SERT routing daemons utilize libpcap to receive packets from the 
 network resp. to send them. Locally generated packets or packets destined 
 to this host use a TUN or TAP interface as access point to the operating 
 system protocol stack.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# shared library versions, option 1
version=0.87
major=0

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

http://www.des-testbed.net/sites/default/files/DES-SERT/libdessert0.87(.*)\.tar\.gz
